
//  @(#)help.h 1.3 93/12/19
//
//  Contains definitions for class "Help".
//
//  Copyright (c) Rich Burridge.    All rights reserved.
//
//  Permission is given to distribute these sources, as long as the
//  copyright messages are not removed, and no monies are exchanged.
//
//  No responsibility is taken for any errors or inaccuracies inherent
//  either to the comments or the code of this program, but if
//  reported to me then an attempt will be made to fix them.

class Help {
  public:

  Widget help_popup ;           // Help popup.
  Widget *helpwarr ;

       Help                 () ;
    void add_help           (Widget widget, String text[]) ;
    static void do_help     (Widget, char **, XmAnyCallbackStruct *) ;
    void do_help_dismiss    (void) ;
    void do_help_general    (void) ;
    void do_help_headers    (void) ;
    void do_help_input      (void) ;
    void do_help_output     (void) ;
    void do_help_printing   (void) ;
    void do_help_save       (void) ;
    void do_help_username   (void) ;

  private:
    void add_help_text      (char *) ;
    void do_show_help       (void) ;
    static void help_done   (Widget) ;
} ;
